Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs
Class XSAttributeUseImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XSAttributeUseImpl

All Implemented Interfaces:
  XSAttributeUse, XSObject

public class XSAttributeUseImpl
extends java.lang.Object
implements XSAttributeUse

The XML representation for an attribute use schema component is a local element information item

Version:
  $Id: XSAttributeUseImpl.java,v 1.3 2003/01/14 20:21:45 elena Exp $
Author:
  Sandy Gao, IBM

Field Summary
`XSAttributeDecl` | `fAttrDecl`
`short` | `fConstraintType`
`ValidatedInfo` | `fDefault`
`short` | `fUse`

Constructor Summary
`XSAttributeUseImpl()`

Method Summary
`XSAttributeDeclaration` | `getAttrDeclaration()` {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
`short` | `getConstraintType()` Value Constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` Value Constraint: The actual value (with respect to the {type definition}).
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`XSNamespaceItem` | `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`boolean` | `getRequired()` {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fAttrDecl

    public XSAttributeDecl fAttrDecl

### fUse

    public short fUse

### fConstraintType

    public short fConstraintType

### fDefault

    public ValidatedInfo fDefault

Constructor Detail

### XSAttributeUseImpl

    public XSAttributeUseImpl()

Method Detail

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.
  Specified by:
    `getType` in interface `XSObject`

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.
  Specified by:
    `getName` in interface `XSObject`

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.
  Specified by:
    `getNamespace` in interface `XSObject`

### getRequired

    public boolean getRequired()

  {required} determines whether this use of an attribute declaration requires an appropriate attribute information item to be present, or merely allows it.
  Specified by:
    `getRequired` in interface `XSAttributeUse`

### getAttrDeclaration

    public XSAttributeDeclaration getAttrDeclaration()

  {attribute declaration} provides the attribute declaration itself, which will in turn determine the simple type definition used.
  Specified by:
    `getAttrDeclaration` in interface `XSAttributeUse`

### getConstraintType

    public short getConstraintType()

  Value Constraint: one of default, fixed.
  Specified by:
    `getConstraintType` in interface `XSAttributeUse`

### getConstraintValue

    public java.lang.String getConstraintValue()

  Value Constraint: The actual value (with respect to the {type definition}).
  Specified by:
    `getConstraintValue` in interface `XSAttributeUse`

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  Description copied from interface: `XSObject`
  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
  Specified by:
    `getNamespaceItem` in interface `XSObject`
  See Also:
    `XSObject.getNamespaceItem()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.